import Image from "next/image";
import Link from "next/link";

import logo from "/public/assets/logo.png";
import { SiGooglemaps } from "react-icons/si";

const Header = () => {
  return (
    <header className="bg-white text-black flex flex-col items-center justify-center py-5">
      <div className="w-full h-full flex justify-around md:justify-between items-center max-w-[1200px] px-5">
        <Link href="/">
          <Image height={100} src={logo} alt="Colchones y Muebles JC" />
        </Link>
        <nav
          className="w-full h-full hidden md:flex items-center justify-end gap-2 lg:gap-5 text-sm lg:text-base           xl:text-lg
 font-bold px-5 text-cyan-500"
        >
          <Link
            className="
          hover:text-white
          hover:bg-[--blue-trust]
          hover:border-[--blue-trust]
          border-solid
          border-[1px]
          border-cyan-500
          rounded-md
          px-3
          lg:px-5
          py-1
          transition-all
          "
            href="/dormitorios"
          >
            Dormitorios
          </Link>
          <Link
            className="
             hover:text-white
             hover:bg-[--blue-trust]
             hover:border-[--blue-trust]
             border-solid
             border-[1px]
             border-cyan-500
             rounded-md
             px-3
             lg:px-5
             py-1
             transition-all
             "
            href="/salas"
          >
            Salas
          </Link>
          <Link
            className="
            hover:text-white
            hover:bg-[--blue-trust]
            hover:border-[--blue-trust]
            border-solid
            border-[1px]
            border-cyan-500
            rounded-md
            px-3
            lg:px-5
            py-1
            transition-all
            "
            href="/comedores"
          >
            Comedores
          </Link>

          <Link
            className="
             hover:text-white
             hover:bg-[--blue-trust]
             hover:border-[--blue-trust]
             border-solid
             border-[1px]
             border-cyan-500
             rounded-md
             px-3
             lg:px-5
             py-1
             transition-all
             "
            href="/equipos_electronicos"
          >
            Equipos Electrónicos
          </Link>
        </nav>
        <Link
          className="
          border
          bg-[#0001]
          border-[#007bff]
          text-red-500
          text-5xl
          md:text-xl
          p-2
          rounded-full
          "
          href={"https://maps.app.goo.gl/6TeSaQkfwree2uiq7"}
          target="_blank"
        >
          <SiGooglemaps />
        </Link>
      </div>
    </header>
  );
};

export default Header;
